from fastapi import APIRouter

from app.api.v1 import auth, user, datasource, metadata, classification, project, task

api_router = APIRouter()
api_router.include_router(auth.router, prefix="/auth", tags=["认证"])
api_router.include_router(user.router, prefix="/users", tags=["用户管理"])
api_router.include_router(datasource.router, prefix="/datasources", tags=["数据源管理"])
api_router.include_router(metadata.router, prefix="/metadata", tags=["元数据管理"])
api_router.include_router(classification.router, prefix="/classifications", tags=["分类分级标准"])
api_router.include_router(project.router, prefix="/projects", tags=["项目管理"])
api_router.include_router(task.router, prefix="/tasks", tags=["任务管理"])
